# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils kde-functions

DESCRIPTION="TiEmu - a TI89(ti)/92(+)/V200 emulator"
HOMEPAGE="http://lpg.ticalc.org/prj_tiemu/"
MY_PV="${PV/_/-}" #for correct version handling: "_rc"

#SRC_URI="mirror://sourceforge/gtktiemu/${PN}-${MY_PV}.tar.bz2" 
#SRC_URI="http://www.ticalc.org/pub/unix/tiemu.tar.gz"

SRC_URI="http://nico.hibou.free.fr/hibnet/gentoo/distfiles/${P}.tar.gz"
LICENSE="GPL-2"

SLOT="0"
KEYWORDS="x86"
IUSE="nls kde xinerama debug"

S=${WORKDIR}/${PN}2-2.02/

DEPEND=">=sci-libs/libticables-3.9.5
		>=sci-libs/libticalcs-4.5.9
		>=sci-libs/libtifiles-0.6.4
		>=dev-libs/glib-2.4.0
		>=gnome-base/libglade-2.4.0
		>=x11-libs/gtk+-2.4.0
		nls? ( sys-devel/gettext )
		kde? ( kde-base/kdelibs )"

src_compile() {
        use kde && set-kdedir 3

	if use debug; then
		export CFLAGS="${CFLAGS} -g"
	fi


	local myconf="$(use_enable nls) $(use_with kde) $(use_with xinerama)"
	econf ${myconf} || die

	emake -j1 || die
}

src_install() {
	# The SHARE_DIR is required since it isn't set properly in a makefile.
	make DESTDIR=${D} install || die
	dodoc AUTHORS COPYING LICENSES NEWS README README.linux RELEASE TODO
}
